Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ServerRequestInterceptor_var Class Reference

`#include <PortableInterceptorC.h>`

Inheritance diagram for PortableInterceptor::ServerRequestInterceptor_var:

[legend]
Collaboration diagram for PortableInterceptor::ServerRequestInterceptor_var:

[legend]
List of all members.

## Public Methods
| ServerRequestInterceptor_var (void)
| ServerRequestInterceptor_var (ServerRequestInterceptor_ptr p)
| ServerRequestInterceptor_var (const ServerRequestInterceptor_var &)
| ~ServerRequestInterceptor_var (void)
ServerRequestInterceptor_var & | operator= (ServerRequestInterceptor_ptr)
ServerRequestInterceptor_var & | operator= (const ServerRequestInterceptor_var &)
ServerRequestInterceptor_ptr | operator-> (void) const
| operator const ServerRequestInterceptor_ptr & () const
| operator ServerRequestInterceptor_ptr & ()
ServerRequestInterceptor_ptr | in (void) const
ServerRequestInterceptor_ptr & | inout (void)
ServerRequestInterceptor_ptr & | out (void)
ServerRequestInterceptor_ptr | _retn (void)
ServerRequestInterceptor_ptr | ptr (void) const
## Static Public Methods
ServerRequestInterceptor_ptr | tao_duplicate (ServerRequestInterceptor_ptr)
void | tao_release (ServerRequestInterceptor_ptr)
ServerRequestInterceptor_ptr | tao_nil (void)
ServerRequestInterceptor_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| ServerRequestInterceptor_var (const TAO_Base_var &rhs)
ServerRequestInterceptor_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
ServerRequestInterceptor_ptr | ptr_

## Constructor & Destructor Documentation

PortableInterceptor::ServerRequestInterceptor_var::ServerRequestInterceptor_var | ( | void |  | ) |

PortableInterceptor::ServerRequestInterceptor_var::ServerRequestInterceptor_var | ( | ServerRequestInterceptor_ptr | p | ) | `[inline]`

PortableInterceptor::ServerRequestInterceptor_var::ServerRequestInterceptor_var | ( | const ServerRequestInterceptor_var & |  | ) |

PortableInterceptor::ServerRequestInterceptor_var::~ServerRequestInterceptor_var | ( | void |  | ) |

PortableInterceptor::ServerRequestInterceptor_var::ServerRequestInterceptor_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor_var::_retn | ( | void |  | ) |

ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor_var::in | ( | void |  | ) | const

ServerRequestInterceptor_ptr& PortableInterceptor::ServerRequestInterceptor_var::inout | ( | void |  | ) |

PortableInterceptor::ServerRequestInterceptor_var::operator const ServerRequestInterceptor_ptr & | ( |  | ) | const

PortableInterceptor::ServerRequestInterceptor_var::operator ServerRequestInterceptor_ptr & | ( |  | ) |

ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor_var::operator-> | ( | void |  | ) | const

ServerRequestInterceptor_var& PortableInterceptor::ServerRequestInterceptor_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

ServerRequestInterceptor_var& PortableInterceptor::ServerRequestInterceptor_var::operator= | ( | const ServerRequestInterceptor_var & |  | ) |

PortableInterceptor::ServerRequestInterceptor_var & PortableInterceptor::ServerRequestInterceptor_var::operator= | ( | ServerRequestInterceptor_ptr | p | ) |

ServerRequestInterceptor_ptr& PortableInterceptor::ServerRequestInterceptor_var::out | ( | void |  | ) |

PortableInterceptor::ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor_var::ptr | ( | void |  | ) | const

ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor_var::tao_duplicate | ( | ServerRequestInterceptor_ptr |  | ) | `[static]`

ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor_var::tao_nil | ( | void |  | ) | `[static]`

void PortableInterceptor::ServerRequestInterceptor_var::tao_release | ( | ServerRequestInterceptor_ptr |  | ) | `[static]`

CORBA::Object* PortableInterceptor::ServerRequestInterceptor_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- PortableInterceptorC.h
- PortableInterceptorC.cpp